Name: ircd
Summary: IRC Server
Version: 2.9.32
Release: 2
Copyright: Copyrighted Freeware
Group: Daemons
Source0: ftp://ftp.undernet.org/pub/irc/servers/current/ircu2.9.32.tgz
Source1: ircd.conf
Source2: irc
Patch0: ircu-2.9.32.patch
Patch1: ircu-2.9.32-megaloman.patch
Packager: Jay Kominek <jkominek@wiw.org>
Vendor: Silicon Hallucinations Software
Buildroot: /var/tmp/%{name}-root
Prereq: /sbin/chkconfig

%description
IRC Server

%prep
%setup -n ircu2.9.32
%patch0 -p1
%patch1 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/{usr/local/lib,ircd,usr/sbin,usr/man/man{1,2,3,8}}
mkdir -p $RPM_BUILD_ROOT/{usr/local/lib/ircd,etc/rc.d/init.d}
install -m4711 ircd/ircd $RPM_BUILD_ROOT/usr/local/lib/ircd/
install -m755 ircd/chkconf $RPM_BUILD_ROOT/usr/local/lib/ircd/
install -m644 $RPM_SOURCE_DIR/ircd.conf $RPM_BUILD_ROOT/usr/local/lib/ircd/
install -m755 $RPM_SOURCE_DIR/irc $RPM_BUILD_ROOT/etc/rc.d/init.d/

%post
sed "s/FQDN/`hostname --fqdn`/g" /usr/local/lib/ircd/ircd.conf > moo
mv -f moo /usr/local/lib/ircd/ircd.conf
/sbin/chkconfig --add irc

%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig --del irc
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/local/lib/ircd
%attr(4711,nobody,nobody) /usr/local/lib/ircd/ircd
%config /usr/local/lib/ircd/ircd.conf
/usr/local/lib/ircd/chkconf
/etc/rc.d/init.d/irc

%changelog
* Wed Jun 16 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated spec
- some garbage at the end of ircu-2.9.32.patch removed
- 'myncmp', 'sys_errlist', 'libresolv', 'resolv.h'  patch
- build-root
- %defattr, %config /usr/local/lib/ircd/ircd.conf
- rc script
- changed %install and %post
- added %preun
